Get Orgs.sddcs.networks.edges.status

Get Orgs.sddcs.networks.edges.status

Retrieve the status of the specified management or compute gateway (NSX Edge).

Request
URI
GET
https://vmc.vmware.com/vmc/api/orgs/{org}/sddcs/{sddc}/networks/4.0/edges/{edgeId}/status
COPY
Path Parameters
string
org
Required

Organization identifier.

string
sddc
Required

Sddc Identifier.

string
edgeId
Required

Edge Identifier.

Query Parameters
boolean
getlatest
Optional

If true, retrieve the status live from the gateway (NSX Edge). If false, retrieve the latest available status from database.

boolean
detailed
Optional

If true, retrieve detailed status per feature. If false, retrieve aggregated summary of status per feature.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns edgeStatus of type(s) application/json
{
    "preRulesExists": false,
    "featureStatuses": [
        {
            "status": "string",
            "configured": false,
            "serverStatus": "string",
            "publishStatus": "string",
            "service": "string"
        }
    ],
    "timestamp": 0,
    "publishStatus": "string",
    "lastPublishedPreRulesGenerationNumber": 0,
    "version": 0,
    "edgeVmStatus": [
        {
            "index": 0,
            "haState": "string",
            "name": "string",
            "id": "string",
            "edgeVMStatus": "string",
            "preRulesGenerationNumber": 0
        }
    ],
    "activeVseHaIndex": 0,
    "systemStatus": "string",
    "haVnicInUse": 0,
    "edgeStatus": "string"
}
boolean
preRulesExists
Optional

Value is true if pre rules publish is enabled.

featureStatuses
Optional

Individual feature status.

integer As int64 As int64
timestamp
Optional

Timestamp value at which the NSX Edge healthcheck was done.

string
publishStatus
Optional

Status of the latest configuration change for the NSX Edge. Values are APPLIED or PERSISTED (not published to NSX Edge Appliance yet).

integer As int64 As int64
lastPublishedPreRulesGenerationNumber
Optional

Value of the last published pre rules generation number.

integer As int64 As int64
version
Optional

Version number of the current configuration.

edgeVmStatus
Optional

Detailed status of each of the deployed NSX Edge appliances.

integer As int32 As int32
activeVseHaIndex
Optional

Index of the active NSX Edge appliance. Values are 0 and 1.

string
systemStatus
Optional

System status of the active NSX Edge appliance.

integer As int32 As int32
haVnicInUse
Optional

Index of the vnic consumed for NSX Edge HA.

string
edgeStatus
Optional

NSX Edge appliance health status identified by GREY (unknown status), GREEN (health checks are successful), YELLOW (intermittent health check failure), RED (none of the appliances are in serving state). If health check fails for 5 consecutive times for all appliance (2 for HA else 1) then status will turn from YELLOW to RED.


400

Bad request. Request object passed is invalid.

Operation doesn't return any data structure

403

Forbidden. Authorization header not provided

Operation doesn't return any data structure

404

Not found. Requested object not found.

Operation doesn't return any data structure

Edges Operations
POST
Add Orgs.sddcs.networks.edges.firewall.config.rules
POST
Add Orgs.sddcs.networks.edges.nat.config.rules
POST
Create Orgs.sddcs.networks.edges.dns.config
DELETE
Delete Orgs.sddcs.networks.cgws.l2vpn.config
DELETE
Delete Orgs.sddcs.networks.edges.dns.config
DELETE
Delete Orgs.sddcs.networks.edges.firewall.config
DELETE
Delete Orgs.sddcs.networks.edges.firewall.config.rules
DELETE
Delete Orgs.sddcs.networks.edges.ipsec.config
DELETE
Delete Orgs.sddcs.networks.edges.nat.config
DELETE
Delete Orgs.sddcs.networks.edges.nat.config.rules
GET
Get Orgs.sddcs.networks.cgws.l2vpn.config
GET
Get Orgs.sddcs.networks.edges
GET
Get Orgs.sddcs.networks.edges.dhcp.leaseinfo
GET
Get Orgs.sddcs.networks.edges.dns.config
GET
Get Orgs.sddcs.networks.edges.dns.statistics
GET
Get Orgs.sddcs.networks.edges.firewall.config
GET
Get Orgs.sddcs.networks.edges.firewall.config.rules
GET
Get Orgs.sddcs.networks.edges.firewall.statistics
GET
Get Orgs.sddcs.networks.edges.ipsec.config
GET
Get Orgs.sddcs.networks.edges.ipsec.statistics
GET
Get Orgs.sddcs.networks.edges.l2vpn.config.statistics
GET
Get Orgs.sddcs.networks.edges.nat.config
GET
Get Orgs.sddcs.networks.edges.peerconfig
GET
Get Orgs.sddcs.networks.edges.statistics.dashboard.firewall
GET
Get Orgs.sddcs.networks.edges.statistics.dashboard.interface
GET
Get Orgs.sddcs.networks.edges.statistics.dashboard.ipsec
GET
Get Orgs.sddcs.networks.edges.statistics.interfaces
GET
Get Orgs.sddcs.networks.edges.statistics.interfaces.internal
GET
Get Orgs.sddcs.networks.edges.statistics.interfaces.uplink
GET
Get Orgs.sddcs.networks.edges.status
GET
Get Orgs.sddcs.networks.edges.vnics
PUT
Update Orgs.sddcs.networks.cgws.l2vpn.config
PUT
Update Orgs.sddcs.networks.edges.dns.config
PUT
Update Orgs.sddcs.networks.edges.firewall.config
PUT
Update Orgs.sddcs.networks.edges.firewall.config.rules
PUT
Update Orgs.sddcs.networks.edges.ipsec.config
PUT
Update Orgs.sddcs.networks.edges.nat.config
PUT
Update Orgs.sddcs.networks.edges.nat.config.rules